CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Private Member Functions | Private Attributes
math::matrix Class Reference

`#include <matrix.hpp>`

List of all members.

## Classes
struct | base_mat

## Public Member Functions
| matrix (const matrixT &m)
| matrix (size_t row=6, size_t col=6)
| ~matrix ()
matrixT & | operator= (const matrixT &m) _NO_THROW
size_t | RowNo () const
size_t | ColNo () const
T & | operator() (size_t row, size_t col) _THROW_MATRIX_ERROR
T | operator() (size_t row, size_t col) const _THROW_MATRIX_ERROR
matrixT | operator+ () _NO_THROW
matrixT | operator- () _NO_THROW
matrixT & | operator+= (const matrixT &m) _THROW_MATRIX_ERROR
matrixT & | operator-= (const matrixT &m) _THROW_MATRIX_ERROR
matrixT & | operator*= (const matrixT &m) _THROW_MATRIX_ERROR
matrixT & | operator*= (const T &c) _NO_THROW
matrixT & | operator/= (const T &c) _NO_THROW
matrixT & | operator^= (const size_t &pow) _THROW_MATRIX_ERROR
void | Null (const size_t &row, const size_t &col) _NO_THROW
void | Null () _NO_THROW
void | Unit (const size_t &row) _NO_THROW
void | Unit () _NO_THROW
void | SetSize (size_t row, size_t col) _NO_THROW
matrixT | Solve (const matrixT &v) const _THROW_MATRIX_ERROR
matrixT | Adj () _THROW_MATRIX_ERROR
matrixT | Inv () _THROW_MATRIX_ERROR
T | Det () const _THROW_MATRIX_ERROR
T | Norm () _NO_THROW
T | Cofact (size_t row, size_t col) _THROW_MATRIX_ERROR
T | Cond () _NO_THROW
bool | IsSquare () _NO_THROW
bool | IsSingular () _NO_THROW
bool | IsDiagonal () _NO_THROW
bool | IsScalar () _NO_THROW
bool | IsUnit () _NO_THROW
bool | IsNull () _NO_THROW
bool | IsSymmetric () _NO_THROW
bool | IsSkewSymmetric () _NO_THROW
bool | IsUpperTriangular () _NO_THROW
bool | IsLowerTriangular () _NO_THROW

## Private Member Functions
void | clone ()
void | realloc (size_t row, size_t col)
int | pivot (size_t row)

## Private Attributes
base_mat * | _m

## Detailed Description

Definition at line 222 of file matrix.hpp.

## Constructor & Destructor Documentation

math::matrix::matrix | ( | const matrixT & | m | ) |

math::matrix::matrix | ( | size_t | row = `6`,
|  | size_t | col = `6`
| ) |  |

math::matrix::~matrix | ( |  | ) |

## Member Function Documentation

matrixT& math::matrix::operator= | ( | const matrixT & | m | ) |

size_t math::matrix::RowNo | ( |  | ) | const
| inline

Definition at line 236 of file matrix.hpp.

Referenced by vectorMultiply().

size_t math::matrix::ColNo | ( |  | ) | const
| inline

Definition at line 237 of file matrix.hpp.

T& math::matrix::operator() | ( | size_t | row,
|  | size_t | col
| ) |  |

T math::matrix::operator() | ( | size_t | row,
|  | size_t | col
| ) |  | const

matrixT math::matrix::operator+ | ( |  | ) |
| inline

Definition at line 244 of file matrix.hpp.

matrixT math::matrix::operator- | ( |  | ) |

matrixT& math::matrix::operator+= | ( | const matrixT & | m | ) |

matrixT& math::matrix::operator-= | ( | const matrixT & | m | ) |

matrixT& math::matrix::operator*= | ( | const matrixT & | m | ) |

matrixT& math::matrix::operator*= | ( | const T & | c | ) |

matrixT& math::matrix::operator/= | ( | const T & | c | ) |

matrixT& math::matrix::operator^= | ( | const size_t & | pow | ) |

void math::matrix::Null | ( | const size_t & | row,
|  | const size_t & | col
| ) |  |

void math::matrix::Null | ( |  | ) |

void math::matrix::Unit | ( | const size_t & | row | ) |

void math::matrix::Unit | ( |  | ) |

void math::matrix::SetSize | ( | size_t | row,
|  | size_t | col
| ) |  |

matrixT math::matrix::Solve | ( | const matrixT & | v | ) | const

matrixT math::matrix::Adj | ( |  | ) |

matrixT math::matrix::Inv | ( |  | ) |

Referenced by csl::SpeakerSetLayout::invertTripleMatrix().

T math::matrix::Det | ( |  | ) | const

T math::matrix::Norm | ( |  | ) |

T math::matrix::Cofact | ( | size_t | row,
|  | size_t | col
| ) |  |

T math::matrix::Cond | ( |  | ) |

bool math::matrix::IsSquare | ( |  | ) |
| inline

Definition at line 272 of file matrix.hpp.

bool math::matrix::IsSingular | ( |  | ) |

bool math::matrix::IsDiagonal | ( |  | ) |

bool math::matrix::IsScalar | ( |  | ) |

bool math::matrix::IsUnit | ( |  | ) |

bool math::matrix::IsNull | ( |  | ) |

bool math::matrix::IsSymmetric | ( |  | ) |

bool math::matrix::IsSkewSymmetric | ( |  | ) |

bool math::matrix::IsUpperTriangular | ( |  | ) |

bool math::matrix::IsLowerTriangular | ( |  | ) |

void math::matrix::clone | ( |  | ) |
| private

void math::matrix::realloc | ( | size_t | row,
|  | size_t | col
| ) |  |
| private

int math::matrix::pivot | ( | size_t | row | ) |
| private

## Member Data Documentation

base_mat* math::matrix::_m
| private

Definition at line 312 of file matrix.hpp.

The documentation for this class was generated from the following file:

- CSL/Spatializers/matrix.hpp